Bug 169464 - ClassCastException: org.netbeans.lib.profiler.ui.memory.DiffLivenessResultsPanel cannot be cast to org.netbeans.lib.profiler.ui.memory.DiffAllocResultsPanel
ClassCastException: org.netbeans.lib.profiler.ui.memory.DiffLivenessResultsPa...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Cyhelsky
issues@profiler
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-29 14:40 UTC by matusdekanek
Modified: 2009-12-04 02:20 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.09 KB, text/plain)
2009-07-29 14:40 UTC, matusdekanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description matusdekanek 2009-07-29 14:40:17 UTC
Build: NetBeans IDE Dev (Build 200907280201)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Linux, 2.6.28-14-generic, i386

User Comments:
matusdekanek: saving memory snapshots comparison



Stacktrace: 
java.lang.ClassCastException: org.netbeans.lib.profiler.ui.memory.DiffLivenessResultsPanel cannot be cast to org.netbeans.lib.profiler.ui.memory.DiffAllocResultsPanel
        at org.netbeans.modules.profiler.MemoryDiffPanel.exportData(MemoryDiffPanel.java:355)
        at org.netbeans.modules.profiler.ExportAction$6.run(ExportAction.java:383)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:602)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1070)
Comment 1 matusdekanek 2009-07-29 14:40:22 UTC
Created attachment 85459 [details]
stacktrace
Comment 2 Petr Cyhelsky 2009-10-06 11:44:12 UTC
fixed in: http://hg.netbeans.org/profiler-main/rev/013b4a4e8042
Comment 3 Quality Engineering 2009-10-14 10:59:20 UTC
Integrated into 'main-golden', will be available in build *200910140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/013b4a4e8042
User: Petr Cyhelsky <cyhelsky@netbeans.org>
Log: #169464 - Prevent ClassCastException in diffPanel export


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo